import matplotlib.pyplot as plt
import numpy as np
import seaborn as sns
from numpy import mean, median, min, max

dots = sns.load_dataset("dots")

estimator = [mean, median, min, max]
plt.figure(figsize=(15, 5))
for i, es in enumerate(estimator):
    plt.subplot(1, len(estimator), i + 1)
    plt.title(es.__name__)
    sns.pointplot(x='align', y='firing_rate', estimator=es, data=dots)

plt.show()
